The ScreenshotManager interface

### Hierarchy

- ScreenshotManager

## Index

### Methods

- afterTest
- beforeTest
- takeAndSaveScreenShot

## Methods

### afterTest

- afterTest(passed: boolean): void

- This function will do cleanup after test execution. It will puerge screenshot for passed test and generate final state screenshot for failed test

  #### Parameters

  - ##### passed: boolean

    boolean to check test state

  #### Returns void

### beforeTest

- beforeTest(suiteName: string, testName: string): void

- This function will set screenshot location based on test suite name and test name

  #### Parameters

  - ##### suiteName: string

    test case's suite name

  - ##### testName: string

    test case's name

  #### Returns void

### takeAndSaveScreenShot

- takeAndSaveScreenShot(screenshotTaker: ScreenshotTaker, name: string): Promise<void>

- This function will take screenshot and save it on the file system

  example

    await screenshotManager.takeAndSaveScreenShot(driver, "before_click");

  #### Parameters

  - ##### screenshotTaker: ScreenshotTaker

    an screenshotTaker instance

  - ##### name: string

    screenshot image name

  #### Returns Promise<void>

  a promise

Generated using TypeDoc